# ConfHub

**Данный модуль позволяет загружать и обрабатывать конфигурационные файлы различных форматов:**
- `.toml`
- `.yaml`
- `.json`
- `.ini`
- `.py`
- `.env`

### !! В конфигурации определена настройка логов с помощью `structlog` и моей настройки процессоров !!

# Основные возможности:

- *Парсинг файлов конфигурации и объединение данных в единый словарь*
- *Автоматическое создание URL-адресов для сервисов по их настройкам*
- *Поддержка работы с переменными окружения (.env файлы)*
- *Возможность задания приоритетных настроек для разработки*
- *Использование модуля позволяет упростить доступ к конфигурационным данным в коде проекта, а также автоматизировать ряд рутинных задач, связанных с конфигурацией.*

# Установка

**Просто добавьте папку `confhub` в ваш проект и вы уже можете использовать его возможности.**

# Использование

```python
from confhub.reader import ReaderConf

reader = ReaderConf('tests/settings.yml', 'tests/.secrets.yml', env='tests/.env', dev=True)
reader.create_service_urls()
configuration = reader.data

assert configuration.get('postgresql_url') == 'postgresql+asyncpg://morington:password@127.0.0.1:5432/test_database'
# True
```
